# Protomat Makefile for Sun Solaris 2.6
#   Type "make install" to compile all programs and move them to ../bin
#   Type  "make blksort" to compile blksort program 
CC = gcc
CFLAGS = -Wall -O2 -c
CL = gcc
LFLAGS = -lm -o
RM = /bin/rm -f
MV = /bin/mv -f
#
install:	clean all
clean:		
	$(RM) *.o blksort getblock getseq multimat motifj motomat uextract blosum blastdat
all:		blksort getblock getseq multimat motifj motomat uextract blosum blastdat
#
#	blksort: Analyze results of a BLOCKS search
blksort:	blksort.o motmisc.o
		$(CL) blksort.o motmisc.o $(LFLAGS) blksort
		mv blksort ../bin
#	getblock: Retrieve BLOCKs
getblock:	getblock.o motmisc.o
		$(CL) getblock.o motmisc.o $(LFLAGS) getblock
		mv getblock ../bin
#	getseq: Retrieve a sequence
getseq:		getseq.o motmisc.o
		$(CL) getseq.o motmisc.o $(LFLAGS) getseq
		mv getseq ../bin
#	multimat: Analyze results of a MATRIX search
multimat:	multimat.o motmisc.o
		$(CL) multimat.o motmisc.o $(LFLAGS) multimat
		mv multimat ../bin
#	motifj: Make blocks using Ham Smith's motif algorithm
motifj:		motifj.o motmisc.o
		$(CL) motifj.o motmisc.o $(LFLAGS) motifj
		mv motifj ../bin
#	motomat: Assemble blocks from motifj
motomat:	motomat.o motmisc.o
		$(CL) motomat.o motmisc.o $(LFLAGS) motomat
		mv motomat ../bin
#	uextract: Extract protein families from prosite.dat
uextract:	uextract.o motmisc.o
		$(CL) uextract.o motmisc.o $(LFLAGS) uextract
		mv uextract ../bin
#	blosum: Make substitution matrices from blocks
blosum:		blosum.o motmisc.o
		$(CL) blosum.o motmisc.o $(LFLAGS) blosum
		mv blosum ../bin
#	blastdat: Read blast output
blastdat:	blastdat.o motmisc.o
		$(CL) blastdat.o motmisc.o $(LFLAGS) blastdat
		mv blastdat ../bin
#
blksort.o:	blksort.c motifj.h
		$(CC) $(CFLAGS) blksort.c
getblock.o:	getblock.c motifj.h
		$(CC) $(CFLAGS) getblock.c
getseq.o:	getseq.c motifj.h
		$(CC) $(CFLAGS) getseq.c
multimat.o:	multimat.c motifj.h
		$(CC) $(CFLAGS) multimat.c
motifj.o:	motifj.c motifj.h
		$(CC) $(CFLAGS) motifj.c
motomat.o:	motomat.c motifj.h
		$(CC) $(CFLAGS) motomat.c
uextract.o:	uextract.c motifj.h
		$(CC) $(CFLAGS) uextract.c
blosum.o:	blosum.c motifj.h
		$(CC) $(CFLAGS) blosum.c
blastdat.o:	blastdat.c motifj.h
		$(CC) $(CFLAGS) blastdat.c
#
motmisc.o:	motmisc.c motifj.h
		$(CC) $(CFLAGS) motmisc.c

#
#
